TYPO3 Core - Bug #32703

HTMLArea RTE is broken in 4.5.9 using IE8
2011-12-19 17:36 - Lars Houmark

Status: Closed Start date: 2011-12-19
Priority: Must have Due date:

Assignee: Stanislas Rolland % Done: 0%
Category: RTE (rtehtmlarea + ckeditor) Estimated time: 0.00 hour
Target version: 4.5.10

TYPO3 Version: 4.5 Complexity:

PHP Version: 5.3 Is Regression:

Tags: Sprint Focus:

Description

The editor new stops trying to load in IE8 (and myabe other IE variants, have not tested yet).

After doing initial debugging it seems only one file is changed between 4.5.8 and 4.5.9:
typo3/sysext/rtehtmlarea/class.tx_rtehtmlarea_base.php

At this point, | am not sure of the precise reason for the braking changes in IE, but overwriting the file in 4.5.9 with the file from 4.5.8
makes the editor load again.

Related issues:
Is duplicate of TYPO3 Core - Bug #32625: Custom RTE-styles broken Closed 2011-12-16

History

#1 - 2011-12-19 18:28 - Stanislas Rolland

Please test this change: http:/review.typo3.org/7341

#2 - 2011-12-19 19:30 - Lars Houmark

That seems to do it.
Successfully tested on 4.5.9. Working again in IE8.

Thanks!

#3 - 2011-12-19 19:50 - Steffen Ritter
- Status changed from New to Rejected

- Priority changed from Should have to Won't have this time

duplicate of regression

#4 - 2011-12-19 19:57 - Stanislas Rolland

- Category set to RTE (rtehtmlarea + ckeditor)

- Status changed from Rejected to Resolved

- Assignee set to Stanislas Rolland

- Priority changed from Won't have this time to Must have
- Target version set to 4.5.10

- PHP Version set to 5.3

#5 - 2017-10-24 20:19 - Riccardo De Contardi

- Status changed from Resolved to Closed

2021-03-08 1/1



http://review.typo3.org/7341
http://www.tcpdf.org

